ランタイム: Mix::Dynamics::ISliderJoint Class Reference

ランタイム

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
Mix::Dynamics::ISliderJoint Class Referenceabstract

スライダージョイントインターフェース More...

`#include <ISliderJoint.h>`

Inheritance diagram for Mix::Dynamics::ISliderJoint:
[legend]
Collaboration diagram for Mix::Dynamics::ISliderJoint:
[legend]

## Public Member Functions

virtual | ~ISliderJoint (void)
| デストラクタ More...
virtual const Mix::Quaternion & | GetRotationA (void) const =0
| リジッドボディＡの回転を取得します More...
virtual void | SetRotationA (const Mix::Quaternion &rot)=0
| リジッドボディＡの回転を設定します More...
virtual const Mix::Quaternion & | GetRotationB (void) const =0
| リジッドボディＢの回転を取得します More...
virtual void | SetRotationB (const Mix::Quaternion &rot)=0
| リジッドボディＢの回転を設定します More...
virtual void | SetLinearLimit (Float32 lower, Float32 upper)=0
| 線形移動の範囲を設定します More...
virtual Float32 | GetLinearLowerLimit (void) const =0
| 線形移動の範囲の最小値を取得します More...
virtual Float32 | GetLinearUpperLimit (void) const =0
| 線形移動の範囲の最大値を取得します More...
virtual void | SetAngularLimit (Float32 lower, Float32 upper)=0
| 回転角度の範囲を設定します More...
virtual Float32 | GetAngularLowerLimit (void) const =0
| 回転角度の範囲の最小値を取得します More...
virtual Float32 | GetAngularUpperLimit (void) const =0
| 回転角度の範囲の最大値を取得します More...
virtual Boolean | GetLinearMotorEnabled (void) const =0
| 線形運動モーターが有効かどうかを取得します More...
virtual void | SetLinearMotorEnabled (Boolean state)=0
| 線形運動モーターを有効にするかどうかを設定します More...
virtual Float32 | GetLinearMotorTargetVelocity (void) const =0
| 線形運動モーターの目標速度を取得します More...
virtual void | SetLinearMotorTargetVelocity (Float32 tv)=0
| 線形運動モーターの目標速度を設定します More...
virtual Float32 | GetLinearMotorMaxForce (void) const =0
| 線形運動モーターの最大フォースを取得します More...
virtual void | SetLinearMotorMaxForce (Float32 mf)=0
| 線形運動モーターの最大フォースを設定します More...
virtual Boolean | GetAngularMotorEnabled (void) const =0
| 角運動モーターが有効かどうかを取得します More...
virtual void | SetAngularMotorEnabled (Boolean state)=0
| 角運動モーターを有効にするかどうかを設定します More...
virtual Float32 | GetAngularMotorTargetVelocity (void) const =0
| 角運動モーターの速度を取得します More...
virtual void | SetAngularMotorTargetVelocity (Float32 tv)=0
| 角運動モーターの目標速度を設定します More...
virtual Float32 | GetAngularMotorMaxForce (void) const =0
| 角運動モーターの最大フォースを取得します More...
virtual void | SetAngularMotorMaxForce (Float32 mf)=0
| 角運動モーターの最大フォースを設定します More...
virtual Float32 | GetLinearLimit_LimSpring (void) const =0
| 線形移動の範囲( SetLinearLimit )を超えた際のスプリングのやわらかさを取得します More...
virtual void | SetLinearLimit_LimSpring (Float32 spring)=0
| 線形移動の範囲( SetLinearLimit )を超えた際のスプリングのやわらかさを設定します More...
virtual Float32 | GetLinearLimit_LimDamper (void) const =0
| 線形移動の範囲( SetLinearLimit )を超えた際のダンパーの減衰力を取得します More...
virtual void | SetLinearLimit_LimDamper (Float32 damper)=0
| 線形移動の範囲( SetLinearLimit )を超えた際のダンパーの減衰力を設定します More...
virtual Float32 | GetLinearLimit_OrthoSpring (void) const =0
| 線形移動の軸に対して垂直な方向のスプリングのやわらかさを取得します More...
virtual void | SetLinearLimit_OrthoSpring (Float32 spring)=0
| 線形移動の軸に対して垂直な方向のスプリングのやわらかさを設定します More...
virtual Float32 | GetLinearLimit_OrthoDamper (void) const =0
| 線形移動の軸に対して垂直な方向のダンパーの減衰力を取得します More...
virtual void | SetLinearLimit_OrthoDamper (Float32 damper)=0
| 線形移動の軸に対して垂直な方向のダンパーの減衰力を設定します More...
virtual Float32 | GetAngularLimit_LimSpring (void) const =0
| 回転の範囲( SetAngularLimit )を超えた際のスプリングのやわらかさを取得します More...
virtual void | SetAngularLimit_LimSpring (Float32 spring)=0
| 回転の範囲( SetAngularLimit )を超えた際のスプリングのやわらかさを設定します More...
virtual Float32 | GetAngularLimit_LimDamper (void) const =0
| 回転の範囲( SetAngularLimit )を超えた際のダンパーの減衰力を取得します More...
virtual void | SetAngularLimit_LimDamper (Float32 damper)=0
| 回転の範囲( SetAngularLimit )を超えた際のダンパーの減衰力を設定します More...
virtual Float32 | GetAngularLimit_OrthoSpring (void) const =0
| 回転の軸に対して垂直な軸のスプリングのやわらかさを取得します More...
virtual void | SetAngularLimit_OrthoSpring (Float32 spring)=0
| 回転の軸に対して垂直な軸のスプリングのやわらかさを設定します More...
virtual Float32 | GetAngularLimit_OrthoDamper (void) const =0
| 回転の軸に対して垂直な軸のダンパーの減衰力を取得します More...
virtual void | SetAngularLimit_OrthoDamper (Float32 damper)=0
| 回転の軸に対して垂直な軸のダンパーの減衰力を設定します More...
Public Member Functions inherited from Mix::Dynamics::IJoint
virtual | ~IJoint (void)
| デストラクタ More...
virtual Mix::Dynamics::IJoint::TYPE | GetType (void) const =0
| 種類を取得します More...
virtual Boolean | IsInWorld (void) const =0
| ワールドに配置されているかどうかを確認します More...
virtual Boolean | IsEnabled (void) const =0
| 接続が有効かどうかを確認します More...
virtual void | SetEnabled (Boolean state)=0
| 接続を有効にするかどうかを設定します More...
virtual Float32 | GetBreakingImpulseThreshold (void) const =0
| 接続が解除される力を取得します More...
virtual void | SetBreakingImpulseThreshold (Float32 threshold)=0
| 接続を解除する力を設定します More...
virtual Boolean | IsSingle (void) const =0
| シングルかどうかを取得します More...
virtual void | GetRigidBodyA (Mix::Dynamics::IRigidBody **ppRigidBody)=0
| リジッドボディAを取得します More...
virtual void | GetRigidBodyB (Mix::Dynamics::IRigidBody **ppRigidBody)=0
| リジッドボディBを取得します More...
virtual const Mix::Vector3 & | GetPivotA (void) const =0
| リジッドボディＡのピボットを取得します More...
virtual void | SetPivotA (const Mix::Vector3 &pivot)=0
| リジッドボディＡのピボットを設定します More...
virtual const Mix::Vector3 & | GetPivotB (void) const =0
| リジッドボディＢのピボットを取得します More...
virtual void | SetPivotB (const Mix::Vector3 &pivot)=0
| リジッドボディＢのピボットを設定します More...
virtual UInt32 | Debug_GetDrawFlags (void) const =0
| デバッグ : 描画フラグを取得します More...
virtual void | Debug_SetDrawFlags (UInt32 flags)=0
| デバッグ : 描画フラグを設定します More...
virtual Float32 | Debug_GetDrawFrameMinSize (void) const =0
| デバッグ : フレームを描画する際の最小サイズを取得します More...
virtual void | Debug_SetDrawFrameMinSize (Float32 minSize)=0
| デバッグ : フレームを描画する際の最小サイズを設定します More...
virtual Float32 | Debug_GetDrawLimitScaling (void) const =0
| デバッグ : リミットを描画する際のを取得します More...
virtual void | Debug_SetDrawLimitScaling (Float32 scaling)=0
| デバッグ : リミットを描画する際のスケールを設定します More...
virtual void | Debug_Draw (Mix::Graphics::Utility::IPerspectiveRenderer *pPerspectiveRenderer, Float32 opacity=1.0f)=0
| デバッグ描画をします More...
Public Member Functions inherited from Mix::Reference
void | AddRef (void)
| 参照数を 1 増やします More...
void | Release (void)
| 参照数を 1 減らします More...
Long32 | GetRefCount (void)
| 参照数を取得します More...

## Additional Inherited Members

Public Types inherited from Mix::Dynamics::IJoint
enum | TYPE { POINT = 0, HINGE = 1, BALL = 2, SLIDER = 3, DOF = 4 }
| タイプ列挙定数 More...
Protected Member Functions inherited from Mix::Reference
| MIX_DECLARE_ALLOCATOR ()
| Reference (void)
| コンストラクタ More...
| Reference (Long32 count)
| コンストラクタ More...
virtual | ~Reference (void)
| デストラクタ More...

## Detailed Description

スライダージョイントインターフェース

Note
  リジッドボディをまっすぐなレールに拘束します。

## Constructor & Destructor Documentation

virtual Mix::Dynamics::ISliderJoint::~ISliderJoint | ( | void |  | ) |

inlinevirtual

デストラクタ

## Member Function Documentation

virtual const Mix::Quaternion& Mix::Dynamics::ISliderJoint::GetRotationA | ( | void |  | ) | const

pure virtual

リジッドボディＡの回転を取得します

Returns
  回転を表す Mix::Quaternion クラスを返します

virtual void Mix::Dynamics::ISliderJoint::SetRotationA | ( | const Mix::Quaternion & | rot | ) |

pure virtual

リジッドボディＡの回転を設定します

Parameters

  [in] | rot | 回転を表す Mix::Quaternion クラス

virtual const Mix::Quaternion& Mix::Dynamics::ISliderJoint::GetRotationB | ( | void |  | ) | const

pure virtual

リジッドボディＢの回転を取得します

Returns
  回転を表す Mix::Quaternion クラスを返します

virtual void Mix::Dynamics::ISliderJoint::SetRotationB | ( | const Mix::Quaternion & | rot | ) |

pure virtual

リジッドボディＢの回転を設定します

Parameters

  [in] | rot | 回転を表す Mix::Quaternion クラス

virtual void Mix::Dynamics::ISliderJoint::SetLinearLimit | ( | Float32 | lower,
|  | Float32 | upper
| ) |  |

pure virtual

線形移動の範囲を設定します

Parameters

  [in] | lower | 最小値
  [in] | upper | 最大値

virtual Float32 Mix::Dynamics::ISliderJoint::GetLinearLowerLimit | ( | void |  | ) | const

pure virtual

線形移動の範囲の最小値を取得します

Returns
  線形移動の範囲の最小値を返します

virtual Float32 Mix::Dynamics::ISliderJoint::GetLinearUpperLimit | ( | void |  | ) | const

pure virtual

線形移動の範囲の最大値を取得します

Returns
  線形移動の範囲の最大値を返します

virtual void Mix::Dynamics::ISliderJoint::SetAngularLimit | ( | Float32 | lower,
|  | Float32 | upper
| ) |  |

pure virtual

回転角度の範囲を設定します

Parameters

  [in] | lower | 最小値( ラジアン単位 )
  [in] | upper | 最大値( ラジアン単位 )

virtual Float32 Mix::Dynamics::ISliderJoint::GetAngularLowerLimit | ( | void |  | ) | const

pure virtual

回転角度の範囲の最小値を取得します

Returns
  回転角度の範囲の最小値を返します

virtual Float32 Mix::Dynamics::ISliderJoint::GetAngularUpperLimit | ( | void |  | ) | const

pure virtual

回転角度の範囲の最大値を取得します

Returns
  回転角度の範囲の最大値を返します

virtual Boolean Mix::Dynamics::ISliderJoint::GetLinearMotorEnabled | ( | void |  | ) | const

pure virtual

線形運動モーターが有効かどうかを取得します

Returns
  有効な場合は True を返します

virtual void Mix::Dynamics::ISliderJoint::SetLinearMotorEnabled | ( | Boolean | state | ) |

pure virtual

線形運動モーターを有効にするかどうかを設定します

Parameters

  [in] | state | 有効にする場合は True

virtual Float32 Mix::Dynamics::ISliderJoint::GetLinearMotorTargetVelocity | ( | void |  | ) | const

pure virtual

線形運動モーターの目標速度を取得します

Returns
  線形運動モーターの目標速度を返します

virtual void Mix::Dynamics::ISliderJoint::SetLinearMotorTargetVelocity | ( | Float32 | tv | ) |

pure virtual

線形運動モーターの目標速度を設定します

Parameters

  [in] | tv | 目標速度

virtual Float32 Mix::Dynamics::ISliderJoint::GetLinearMotorMaxForce | ( | void |  | ) | const

pure virtual

線形運動モーターの最大フォースを取得します

Returns
  線形運動モーターの最大フォースを返します

virtual void Mix::Dynamics::ISliderJoint::SetLinearMotorMaxForce | ( | Float32 | mf | ) |

pure virtual

線形運動モーターの最大フォースを設定します

Parameters

  [in] | mf | 最大フォース

virtual Boolean Mix::Dynamics::ISliderJoint::GetAngularMotorEnabled | ( | void |  | ) | const

pure virtual

角運動モーターが有効かどうかを取得します

Returns
  有効な場合は True を返します

virtual void Mix::Dynamics::ISliderJoint::SetAngularMotorEnabled | ( | Boolean | state | ) |

pure virtual

角運動モーターを有効にするかどうかを設定します

Parameters

  [in] | state | 有効にする場合は True

virtual Float32 Mix::Dynamics::ISliderJoint::GetAngularMotorTargetVelocity | ( | void |  | ) | const

pure virtual

角運動モーターの速度を取得します

Returns
  角運動モーターの速度を返します

virtual void Mix::Dynamics::ISliderJoint::SetAngularMotorTargetVelocity | ( | Float32 | tv | ) |

pure virtual

角運動モーターの目標速度を設定します

Parameters

  [in] | tv | 目標速度

virtual Float32 Mix::Dynamics::ISliderJoint::GetAngularMotorMaxForce | ( | void |  | ) | const

pure virtual

角運動モーターの最大フォースを取得します

Returns
  角運動モーターの最大フォースを返します

virtual void Mix::Dynamics::ISliderJoint::SetAngularMotorMaxForce | ( | Float32 | mf | ) |

pure virtual

角運動モーターの最大フォースを設定します

Parameters

  [in] | mf | 最大フォース

virtual Float32 Mix::Dynamics::ISliderJoint::GetLinearLimit_LimSpring | ( | void |  | ) | const

pure virtual

線形移動の範囲( SetLinearLimit )を超えた際のスプリングのやわらかさを取得します

Returns
  スプリングのやわらかさを返します

virtual void Mix::Dynamics::ISliderJoint::SetLinearLimit_LimSpring | ( | Float32 | spring | ) |

pure virtual

線形移動の範囲( SetLinearLimit )を超えた際のスプリングのやわらかさを設定します

Parameters

  [in] | spring | スプリングのやわらかさ( 0.0f〜1.0f )

virtual Float32 Mix::Dynamics::ISliderJoint::GetLinearLimit_LimDamper | ( | void |  | ) | const

pure virtual

線形移動の範囲( SetLinearLimit )を超えた際のダンパーの減衰力を取得します

Returns
  ダンパーの減衰力を返します

virtual void Mix::Dynamics::ISliderJoint::SetLinearLimit_LimDamper | ( | Float32 | damper | ) |

pure virtual

線形移動の範囲( SetLinearLimit )を超えた際のダンパーの減衰力を設定します

Parameters

  [in] | damper | ダンパーの減衰力( 0.2f〜0.8f )

virtual Float32 Mix::Dynamics::ISliderJoint::GetLinearLimit_OrthoSpring | ( | void |  | ) | const

pure virtual

線形移動の軸に対して垂直な方向のスプリングのやわらかさを取得します

Returns
  スプリングのやわらかさを返します

virtual void Mix::Dynamics::ISliderJoint::SetLinearLimit_OrthoSpring | ( | Float32 | spring | ) |

pure virtual

線形移動の軸に対して垂直な方向のスプリングのやわらかさを設定します

Parameters

  [in] | spring | スプリングのやわらかさ( 0.0f〜1.0f );

virtual Float32 Mix::Dynamics::ISliderJoint::GetLinearLimit_OrthoDamper | ( | void |  | ) | const

pure virtual

線形移動の軸に対して垂直な方向のダンパーの減衰力を取得します

Returns
  ダンパーの減衰力を返します

virtual void Mix::Dynamics::ISliderJoint::SetLinearLimit_OrthoDamper | ( | Float32 | damper | ) |

pure virtual

線形移動の軸に対して垂直な方向のダンパーの減衰力を設定します

Parameters

  [in] | damper | ダンパーの減衰力( 0.2f〜0.8f )

virtual Float32 Mix::Dynamics::ISliderJoint::GetAngularLimit_LimSpring | ( | void |  | ) | const

pure virtual

回転の範囲( SetAngularLimit )を超えた際のスプリングのやわらかさを取得します

Returns
  やわらかさを返します

virtual void Mix::Dynamics::ISliderJoint::SetAngularLimit_LimSpring | ( | Float32 | spring | ) |

pure virtual

回転の範囲( SetAngularLimit )を超えた際のスプリングのやわらかさを設定します

Parameters

  [in] | spring | スプリングのやわらかさ( 0.0f〜1.0f )

virtual Float32 Mix::Dynamics::ISliderJoint::GetAngularLimit_LimDamper | ( | void |  | ) | const

pure virtual

回転の範囲( SetAngularLimit )を超えた際のダンパーの減衰力を取得します

Returns
  ダンパーの減衰力を返します

virtual void Mix::Dynamics::ISliderJoint::SetAngularLimit_LimDamper | ( | Float32 | damper | ) |

pure virtual

回転の範囲( SetAngularLimit )を超えた際のダンパーの減衰力を設定します

Parameters

  [in] | damper | ダンパーの減衰力( 0.2f〜0.8f )

virtual Float32 Mix::Dynamics::ISliderJoint::GetAngularLimit_OrthoSpring | ( | void |  | ) | const

pure virtual

回転の軸に対して垂直な軸のスプリングのやわらかさを取得します

Returns
  スプリングのやわらかさを返します

virtual void Mix::Dynamics::ISliderJoint::SetAngularLimit_OrthoSpring | ( | Float32 | spring | ) |

pure virtual

回転の軸に対して垂直な軸のスプリングのやわらかさを設定します

Parameters

  [in] | spring | スプリングのやわらかさ( 0.0f〜1.0f )

virtual Float32 Mix::Dynamics::ISliderJoint::GetAngularLimit_OrthoDamper | ( | void |  | ) | const

pure virtual

回転の軸に対して垂直な軸のダンパーの減衰力を取得します

Returns
  ダンパーの減衰力を返します

virtual void Mix::Dynamics::ISliderJoint::SetAngularLimit_OrthoDamper | ( | Float32 | damper | ) |

pure virtual

回転の軸に対して垂直な軸のダンパーの減衰力を設定します

Parameters

  [in] | damper | ダンパーの減衰力( 0.2f〜0.8f )

The documentation for this class was generated from the following file:

- Mix/Dynamics/ISliderJoint.h